Bug 1827986 - LyX is incorrectly configured for file handling of SVG files to XXX conversion (solution provided in this bug description -- easy fix!)
Summary: LyX is incorrectly configured for file handling of SVG files to XXX conversio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-26 06:48 UTC by Todd Warner
Modified: 2020-06-14 17:10 UTC (History)
2 users (show)

Fixed In Version: lyx-2.3.5-1.fc32 lyx-2.3.5-1.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-11 22:57:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Todd Warner 2020-04-26 06:48:03 UTC
Description of problem:
File handling configuration for all converter definitions that look like this "SVG -> XXX" and "SVG (compressed) -> XXX" are incorrectly configured.

Version-Release number of selected component (if applicable):
Fedora 31
lyx-2.3.4.2-1.fc31.x86_64


Steps to Reproduce:
1. Click on Help
2. Click on Tutorial
3. Click on the View icon or just hit CTRL-R
4. Enjoy the flood of errors

Expected results:
A rendered PDF.

Additional info -- THE RESOLUTION:
The inkscape options changed at some point, therefore you have to do this ...
Go to Tools > Preferences > File Handling
Change, for example, SVG -> PNG:
OLD: inkscape --without-gui --file=$$i --export-png=$$o
NEW: inkscape --without-gui $$i --export-type=png --export-file=$$o
(you have to hit Modify to save the change each time you change it)

Do that for all the SVG things.
Note: You can see inkscape's command line options via inkscape --help. Don't use the man page, it is wrong (I also filed a bug on that).

Now, those actions fix it for the local installation. The RPM's default settings are wrong though. I don't know where they are populated from, I have no idea. I leave that issue with the owner of the package to figure out.

Thanks. -t

Comment 1 Fedora Update System 2020-06-03 07:34:06 UTC
FEDORA-2020-684cee3845 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-684cee3845

Comment 2 Fedora Update System 2020-06-03 07:39:15 UTC
FEDORA-2020-b9ca583a72 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9ca583a72

Comment 3 Fedora Update System 2020-06-04 03:00:14 UTC
FEDORA-2020-b9ca583a72 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b9ca583a72`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9ca583a72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-06-04 04:08:20 UTC
FEDORA-2020-684cee3845 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-684cee3845`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-684cee3845

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-06-11 22:57:01 UTC
lyx-2.3.5-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-06-14 17:10:41 UTC
lyx-2.3.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.